package com.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import com.bean.Hys;
import com.util.DBHelper;

public class HyDao {
	private Connection conn=null;
	private PreparedStatement stm=null;
	private ResultSet rs=null;
	public boolean addhy(Hys hys){
		boolean flag=false;
		try{
			conn=DBHelper.getConnection();
			String sql="insert into hbhy(hyname,hypasswd,hyaddr,hyemail,hybd) values(?,?,?,?,?)";
			stm=conn.prepareStatement(sql);
			stm.setString(1, hys.getHyName());
			stm.setString(2, hys.getHyPasswd());
			stm.setString(3, hys.getHyAddr());
			stm.setString(4, hys.getHyEmail());
			stm.setString(5, hys.getHyBd());
			stm.executeUpdate();
			flag=true;
		}catch (Exception e) {
			// TODO: handle exception
			e.printStackTrace();
			flag=false;
		}finally{
			DBHelper.close(conn, stm, rs);
		}
		return flag;
	}
	public List<Hys> findAllhys(){
		List<Hys> list=new ArrayList<Hys>();
		try{
			conn=DBHelper.getConnection();
			String sql="select * from hbhy";
			stm=conn.prepareStatement(sql);
			rs=stm.executeQuery();
			while (rs.next()) {
				Hys hys=new Hys();
				hys.setHyName(rs.getString(1));
				hys.setHyPasswd(rs.getString(2));
				hys.setHyAddr(rs.getString(3));
				hys.setHyEmail(rs.getString(4));
				hys.setHyBd(rs.getString(5));
				list.add(hys);
			}
		}catch (Exception e) {
			// TODO: handle exception
			e.printStackTrace();
		}finally{
			DBHelper.close(conn, stm, rs);
		}
		return list;
	}
	public List<Hys> Loginhys(Hys e){
		List<Hys> list = new ArrayList<Hys>();
		try {
			conn=DBHelper.getConnection();
			String sql="select * from hbhy where hyname=? and hypasswd = ?";
			stm=conn.prepareStatement(sql);
			stm.setString(1, e.getHyName());
			stm.setString(2, e.getHyPasswd());
			ResultSet rs = stm.executeQuery();
			while(rs.next()){
				Hys hys = new Hys();
				hys.setHyName(rs.getString(1));
				hys.setHyPasswd(rs.getString(2));
				list.add(hys);
			}
			
		} catch (SQLException s) {
			// TODO Auto-generated catch block
			s.printStackTrace();
		}finally{
			DBHelper.close(conn, stm, rs);
		}
		
		return list;
	}
	public boolean DelHys(String hyName){
		boolean flag=false;
		try{
			conn=DBHelper.getConnection();
			String sql="delete from hbhy where hyname=?";
			stm=conn.prepareStatement(sql);
			stm.setString(1, hyName);
			stm.executeUpdate();
			flag=true;
		}catch (Exception e) {
			// TODO: handle exception
			e.printStackTrace();
		}finally{
			DBHelper.close(conn, stm, rs);
		}
		return flag;
	}
	public Hys finHyName(String hyName){
		try{
			conn=DBHelper.getConnection();
			String sql="select * from hbhy where hyname=?";
			stm=conn.prepareStatement(sql);
			stm.setString(1, hyName);
			rs=stm.executeQuery();
			if(rs.next()){
				Hys hys=new Hys();
				hys.setHyName(rs.getString(1));
				hys.setHyPasswd(rs.getString(2));
				hys.setHyAddr(rs.getString(3));
				hys.setHyEmail(rs.getString(4));
				hys.setHyBd(rs.getString(5));
				return hys;
			}else {
				return null;
			}
		}catch (Exception e) {
			// TODO: handle exception
			e.printStackTrace();
			return null;
		}finally{
			DBHelper.close(conn, stm, rs);
		}
	}
	public boolean saveHys(Hys hys){
		boolean flag=false;
		try{
			conn=DBHelper.getConnection();
			String sql="update hbhy set hypasswd=?,hyaddr=?,hyemail=?,hybd=? where hyname=?";
			stm=conn.prepareStatement(sql);
			stm.setString(5, hys.getHyName());
			stm.setString(1, hys.getHyPasswd());
			stm.setString(2, hys.getHyAddr());
			stm.setString(3, hys.getHyEmail());
			stm.setString(4, hys.getHyBd());
			stm.executeUpdate();
			flag=true;
		}catch (Exception e) {
			// TODO: handle exception
			e.printStackTrace();
			flag=false;
		}finally{
			DBHelper.close(conn, stm, rs);
		}
		return flag;
	}
}
